Bug 28006 - Restore "Additional fields" link on serials navigation menu
Summary: Restore "Additional fields" link on serials navigation menu
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-19 16:03 UTC by Séverine Queune
Modified: 2021-04-25 14:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 28006: Restore "Additional fields" on navigation menu (1.43 KB, patch)
2021-03-26 14:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28006: Restore "Additional fields" on navigation menu (1.48 KB, patch)
2021-03-26 16:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28006: Restore "Additional fields" on navigation menu (1.53 KB, patch)
2021-03-27 08:17 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28006: Restore "Additional fields" on navigation menu (1.59 KB, patch)
2021-03-27 15:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2021-03-19 16:03:56 UTC
In previous versions of Koha (at least 18.05) was displayed a link "Add subscription fields" on the navigation side bar.
It has dispared in Master, probaby because of creation of the "Additional fields" menu, but it was a useful link for users with the 'manage_additionnal_fields' permission.
It could be great to add it on the Acquisitions module too.
Comment 1 Owen Leonard 2021-03-26 14:04:48 UTC
Created attachment 118857 [details] [review]
Bug 28006: Restore "Additional fields" on navigation menu

This patch adds a link to the "Additional fields" page in Administration
to the sidebar menu shown on Serials pages.

To test, apply the patch and go to Serials.

- In the sidebar menu you should see a "Manage subscription fields"
  link.
- The link should take you directly to the "Additional fields for
  'subscription'" page.
Comment 2 Séverine Queune 2021-03-26 14:49:20 UTC
(In reply to Owen Leonard from comment #1)
> - In the sidebar menu you should see a "Manage subscription fields"
>   link.
> - The link should take you directly to the "Additional fields for
>   'subscription'" page.

For a staff user without the 'manage_additionnal_fields' permission, the link leads to a login window.
I don't know if this behaviour is the best one, or if the link should be hidden when you're not supposed to access to this menu.
Except that point, it works fine (as always) :)
Comment 3 Owen Leonard 2021-03-26 15:51:19 UTC
(In reply to Séverine Queune from comment #2)

> For a staff user without the 'manage_additionnal_fields' permission

Thanks Séverine, I looked for and missed that permission in the script!
Comment 4 Owen Leonard 2021-03-26 16:01:49 UTC
Created attachment 118869 [details] [review]
Bug 28006: Restore "Additional fields" on navigation menu

This patch adds a link to the "Additional fields" page in Administration
to the sidebar menu shown on Serials pages.

To test, apply the patch and go to Serials.

- In the sidebar menu you should see a "Manage subscription fields"
  link.
- The link should take you directly to the "Additional fields for
  'subscription'" page.
Comment 5 Amit Gupta 2021-03-27 08:17:34 UTC
Created attachment 118884 [details] [review]
Bug 28006: Restore "Additional fields" on navigation menu

To test, apply the patch and go to Serials.

- In the sidebar menu you should see a "Manage subscription fields"
  link.
- The link should take you directly to the "Additional fields for
  'subscription'" page.
Comment 6 Katrin Fischer 2021-03-27 15:33:55 UTC
I think this is good, but could we add that to the acquisition start page as well to be consistent? Suggesting the change on bug 28046.
Comment 7 Katrin Fischer 2021-03-27 15:34:30 UTC
Created attachment 118903 [details] [review]
Bug 28006: Restore "Additional fields" on navigation menu

This patch adds a link to the "Additional fields" page in Administration
to the sidebar menu shown on Serials pages.

To test, apply the patch and go to Serials.

- In the sidebar menu you should see a "Manage subscription fields"
  link.
- The link should take you directly to the "Additional fields for
  'subscription'" page.

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2021-04-06 13:59:00 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-04-19 09:55:50 UTC
I change from new feature to enhancement
Comment 10 Fridolin Somers 2021-04-19 09:56:36 UTC
Small useful enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.05
Comment 11 Katrin Fischer 2021-04-19 10:35:51 UTC
(In reply to Fridolin Somers from comment #10)
> Small useful enhancement, I choose to backport.
> 
> Pushed to 20.11.x for 20.11.05

Hi Frido, aren't we already in string freeze?... could we hold this back to next . release? It shows in quite a prominent spot.
Comment 12 Katrin Fischer 2021-04-21 14:18:52 UTC
(In reply to Katrin Fischer from comment #11)
> (In reply to Fridolin Somers from comment #10)
> > Small useful enhancement, I choose to backport.
> > 
> > Pushed to 20.11.x for 20.11.05
> 
> Hi Frido, aren't we already in string freeze?... could we hold this back to
> next . release? It shows in quite a prominent spot.

I realized string freeze for 20.11 was announced after this was pushed, so we are good there, but the strings haven't shown up on translate yet.
Comment 13 Andrew Fuerste-Henry 2021-04-25 14:05:56 UTC
Enhancement, not backporting to 20.05